#ifndef I2C_
#define I2C_

/* for now no interrupt driven I2C IO */

/* times in ns */
#define I2C_DLY_FALL    300  /* maximum falling time */
#define I2C_DLY_RAISE  1000  /* maximum raise time */
#define I2C_DLY_BUF    4700  /* bus free time between start and stop */
#define I2C_DLY_HDSTA  4000  /* hold time start period */
#define I2C_DLY_SUSTO  4000  /* setup time stop condition */
#define I2C_DLY_SUDAT   250  /* data setup time */
#define I2C_DLY_LOW    4700  /* low period of SCL clock */
#define I2C_DLY_HIGH   4000  /* high period of SCL clock */

#ifndef word
  typedef unsigned short word;
#endif

#ifndef byte
  typedef unsigned char byte;
#endif

extern void I2CInit();            /* initialize i2c module */

extern void I2CStart();           /* start communication */
extern int I2CSendByte(int data); /* send a byte */
extern int I2CReadByte(void);     /* read a byte */
extern void I2CStop();            /* finish communication */

/* send size bytes to device dev (! logical device)*/
extern int I2CSend(int ldev,byte *buffer,int size);
/* receive <=size bytes from dev (! logical device)*/
extern int I2CRecv(int ldev,byte *buffer,int size);

extern void I2CScanDevices(); /* scan for present i2c devices */
extern int I2CDevice(int i); /* return the id of device #i */
extern int I2CNDev();        /* returns the number of i2c devices */

#endif